List monitored shared dictionaries of a gateway group
GET /api/gateway_groups/{gateway_group_id}/shared_dict_names
GET /api/gateway_groups/{gateway_group_id}/shared_dict_namesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/shared_dict_names"The list of monitored shared dictionary names.
{
"value": [
"string"
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/shared_dict_names
List monitored shared dictionaries of a gateway group
List the shared dictionaries (shared memory zones) worth monitoring for a gateway group, i.e. every shared dict the data plane reports metrics for minus the ones on the alert denylist (lock dicts and LRU caches).
Parameters
gateway_group_id(path, string, required): Gateway group ID.
Responses
200: The list of monitored shared dictionary names.value(array, optional): The monitored shared dictionary names.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/shared_dict_names'